Subject: Re: bug#60740: 29.0.60; Broken isearch-emoji-by-name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jan 2023 14:09:53 +0200

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 22 Jan 2023 20:25:55 +0100
> 
> >> But typing e.g. 'C-s C-x 8 e RET waving hand RET' fails with:
> 
> That binding doesn't exist in my configuration.  Do you mean
> "C-x 8 e e", i.e., emoji-insert?
> 
> >>   ⛔ Error (transient): Inconsistent transient state detected.
> 
> I couldn't reproduce this with the above command (and also tried a
> few other emoji commands).

What exactly did you try?  The problem I see here is that after typing
"C-s C-x 8 e RET waving hand RET", I immediately get the echo area
shows several variants of the "waving hands" Emoji, but if I type a
letter to choose one of them, I get the error message cited above.

> Recently I also noticed that my most recent attempt to update transient
> in emacs.git has gone wrong; I think I just forgot to push.  I intend
> to merge transient.git into emacs.git very soon (it's all bugfixes and
> minor cosmetics), but have come aware of additional problems that I was
> planning to address first.

Please do that soon, and if that solves this problem, we can close the
bug.

> > I'd really like to have a solution for this before Emacs 29 goes into
> > pretest.
> 
> When will that be?

VSN.  Like in a week or so.